package com.iqser.red.service.persistence.service.v1.api.shared.model.annotations;

import com.iqser.red.service.persistence.service.v1.api.shared.model.dossiertemplate.type.DictionaryEntryType;

public interface ManualRequestWithRemoveFromDictionary extends BaseManualRequest {

    String getAnnotationId();


    String getValue();

    String getTypeToRemove();

    String getDossierTemplateId();

    String getDossierId();




    DictionaryEntryType getDictionaryEntryType();


    boolean isRemoveFromDictionary();


    boolean isRemoveFromAllDossiers();

}
